## Smartcard Channel

Smartcard Channel — smartcard authentication

## Stability Level

Stable, unless otherwise indicated

## Types and Values

struct | SpiceSmartcardChannel
struct | SpiceSmartcardChannelClass

## Object Hierarchy

        GObject
        ╰── SpiceChannel
            ╰── SpiceSmartcardChannel

## Includes

    #include <spice-client.h>

## Description

The Spice protocol defines a set of messages to forward smartcard information from the Spice client to the VM. This channel handles these messages. While it's mainly focus on smartcard readers and smartcards, it's also possible to use it with a software smartcard (ie a set of 3 certificates from the client machine). This class doesn't provide useful methods, see SpiceSession properties for a way to enable/disable this channel, and SpiceSmartcardManager if you want to detect smartcard reader hotplug/unplug, and smartcard insertion/removal.

## Functions

## Types and Values

### struct SpiceSmartcardChannel

    struct SpiceSmartcardChannel;

The SpiceSmartcardChannel struct is opaque and should not be accessed directly.

### struct SpiceSmartcardChannelClass

    struct SpiceSmartcardChannelClass {
        SpiceChannelClass parent_class;

        /* signals */
    };

Class structure for SpiceSmartcardChannel.

#### Members

## See Also

SpiceSmartcardManager, SpiceSession